*{
    margin: 0;
    padding: 0;
    border: 0px solid rgb(34, 198, 176);
    color: beige;
}

@keyframes spin{
    0%{

    }
    50%{
        scale: 2;
        transform: rotate(0);
    }
    100%{

        border-radius: 50%;
        scale: 1.25;
       }
}

@keyframes shadow{
    0% {box-shadow: 0 3px 3px red;}
    33% {box-shadow: -3px 0 3px blue;}
    66% {box-shadow: 0px -3px 3px darkcyan;}
    100% {box-shadow: 3px 0 3px yellowgreen;}
}

@keyframes logo{
    0%{}
    33%{ transform: rotate(0deg); scale: 1.3;}
    66%{transform: rotate(360deg); scale: 1;}
    100%{transform: rotate(360deg); scale: 1;}
}

@keyframes IMAT{
    0%{transform: translateY(-400px);}
    100%{transform: translateY(0px);}
}

@keyframes Preparatory{
    0%{transform: translateX(-400px);}
    100%{transform: translateX(0px);}
}

@keyframes School{
    0%{transform: translateY(400px);}
    100%{transform: translateY(0px);}
}

/******heading******/
.heading{
    min-height: 100vh;
    width: 100%;
    background-image: linear-gradient(rgba(4,9,30,0.6),rgba(4,9,30,0.6)),url(Background.jpg);
    background-position: center;
    background-size: cover;
    background-attachment: fixed;
    background-repeat: no-repeat;
    position: relative;
    border-bottom: 1px solid white;
    font-family: "Roboto Slab", serif;
}
nav{
    display: flex;
    padding: 2% 6%;
    padding-bottom: 1%;
    margin-left: 3%;
    margin-right: 3%;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid rgba(255, 255, 255, 0.5);
}
nav h1{
    border-radius: 15px;
    padding: 6px 15px 6px 15px;
    box-shadow: 0px 0px 4px rgb(4, 206, 186);
    font-family: "Roboto Slab", serif;
    backdrop-filter: blur(10px);
    
}
nav h1 a{
    text-decoration: none;
    color: rgb(255, 255, 255);
}

.nav-list{
    flex: 1;
    text-align: right;
}

.nav-list ul li{
    list-style: none;
    display: inline-block;
    padding: 8px 12px;
    position: relative;
    text-decoration: none;
}

.nav-list ul li a{
    text-decoration: none;
}

.nav-list ul li a:hover{
    text-shadow: 0 0 3PX #ae18ef, 0 0 5px #ff0000;
    transition: 0.3s;
    
}

nav .fa{
    display: none;
}




.main-header{
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    width: 90%;
    padding: 2%;
    text-align: justify;
    top: 30px;
    position: relative;
}
.main {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.logo{
    width: 30%;
    height: 40%;
    display: flex;
    justify-content: space-between;
}

.logo img{
    width: 100px;
    height: 150px;
    margin-top: 4%;

    animation-name: logo;
    animation-duration: 3s;
    animation-timing-function: ease-in-out;
    animation-iteration-count: infinite;
    animation-direction: normal;
}

.logo-text{
    display: flex;
    flex-direction: column;
    flex: 1;
    padding: 4%;
    margin: 4%;
    font-weight: bold;
    font-size: 20px;
    font-family: Arial, Helvetica, sans-serif;
}

.logo-text div{
    margin: 2%;
    padding: 2%;
    text-align: center;
    text-transform: uppercase;
    text-shadow: 2px 2px 2px rgba(21, 159, 197, 0.868);
    
    

}

#IMAT{
    animation-name: IMAT;
    animation-duration: 2s;
    animation-timing-function: ease-in-out;
    font-size: 25px;
}

#Preparatory{
    animation-name: Preparatory;
    animation-duration: 2s;
    animation-timing-function: ease-in-out;
    font-size: 30px;
}
#School{
    animation-name: School;
    animation-duration: 2s;
    animation-timing-function: ease-in-out;

}

.main-header p{
    font-size: 14px;
    padding: 2%;
    margin: 2%;
    width: 40%;

    animation-name: shadow;
    animation-duration: 3s;
    animation-direction: inherit;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
}

#Head{
    font-size: 20px;
    margin: 0%;
    font-weight: 600;
}

.main-body{
    display: flex;
    justify-content: center;
    align-items: center;
    align-content: space-evenly;
    flex-wrap: wrap;
    width: 90%;
    position: relative;
}

.accordion{
    margin: 4%;
    width: 75%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
}

.accordion li{
    list-style: none;
    width: 100%;
    margin: 1%;
    padding: 10px;
    border-radius: 8px;
    background: linear-gradient(rgba(4, 9, 30, 0.63),rgba(4, 9, 30, 0.616));
    
    box-shadow: 1px 1px 3px rgb(9, 177, 206);
}

.accordion li:hover{
    animation-name: shadow;
    animation-duration: 3s;
    animation-iteration-count: infinite;
    animation-direction: alternate;
    animation-timing-function: ease-in-out;
}

.accordion li label{
    display: flex;
    align-items: center;
    padding: 10px;
    font-size: 20px;
    font-weight: 500;
    cursor: pointer;
}

label::before{
    content: '+';
    margin-right: 10px;
    font-size: 24px;
    font-weight: 600;
}

input[type="radio"]{
    display: none;
}

.accordion .content{
    color: rebeccapurple;
    padding: 0 10px;
    line-height: 26px;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.5s, padding 0.5s; 
}

.accordion input[type="radio"]:checked + label + .content{
    max-height: 4000px;
    padding: 10px 10px 20px;

}

.accordion input[type="radio"]:checked + label::before{
    content: '-';
}

.content{
    display: flex;
    flex-direction: column;
}

.content h3{
    padding: 2%;
    text-decoration: underline;
}
.content p{
    padding: 2%;
    text-indent: 5%;
    text-align: justify;
    line-height: 200%;
    font-size: 15px;
}
.footer {
    
    margin: 0%;
    margin-top: 1%;
    padding: 1%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.credit{
    font-family:cursive;
    font-size: 10px;
    text-shadow: 0px 0px 3px cyan;
    margin: 0%;
}
.Contact{
    display: flex;
    justify-content: center;
    width: 10%;
    margin-top: 1%;
}

.Contact a{
    margin-left: 10%;
}
@media(max-width: 800px){
    .nav-list ul li{
        display: block;
    }
    .nav-list{
        position: fixed;
        background: #030831fa;
        height: 100vh;
        width: 200px;
        top: 0;
        right: -200px;
        text-align: left;
        z-index: 2;
        transition: 0.5s;
    }
    nav .fa{
        display: block;
        color: #fff;
        margin: 10px;
        font-size: 22px;
        cursor: pointer;
    }
    .nav-list ul{
        padding: 30px;
    }
}
@media screen and (max-width: 1200px){
    .main{
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
        align-content:center;
    }
    .main-header{
        flex-direction: row;
        justify-content: space-evenly;
        width: 95%;
        top: 10%
    }

    .logo{
        margin: 3%;
    }
    #IMAT{
        text-align: right;
    }
    #Preparatory{
        text-align: right;
    }
    #School{
        text-align: right;
    }
    .main-body{
        width: 100%;
        border: 0px solid red;
        top: 10%;
    }
}

@media screen and (max-width: 690px) {
    .main-header{
      flex-direction: column;
    }
    .main{
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
        align-content:center;
    }

    .main-body{
        width: 100%;
    }

    .main-header p{
        width: 80%;
    }

}